local function doFadeWipe(state)
  fadeWipe = celeste.FadeWipe(engine.Scene, state, nil)
  engine.Scene:Add(fadeWipe)
  fadeWipe.duration = 2
  fadeWipe.EndTimer = 1
end

function onBegin()

  if getFlag("voltafoi") then
  disablePause()
  disableMovement()
   walkTo(-6609)
  waitUntilOnGround()
  walkTo(-6642)
  wait(0.5)

  doFadeWipe(false)
  wait(1.3)

  setFlag("voltafoi", false)
  setFlag("voltachegou")

  end

end